<%@ page import="java.io.*" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.text.NumberFormat" %>

<%
  String nome = request.getParameter("nome");
  String cognome = request.getParameter("cognome");
  String indirizzo = request.getParameter("indirizzo");
  String pagamento = request.getParameter("pagamento");
  String consegna = request.getParameter("consegna");

  boolean formValido=!nome.trim().equals("") && !cognome.trim().equals("") && !indirizzo.trim().equals("") && !pagamento.trim().equals("-") && !consegna.trim().equals("-");
  
  String carrello=(String)session.getValue("MyShop.Carrello");
  BufferedReader input=null;
  double contributoSpeseSpedizione=30.0;
  
  if(carrello==null) {
          carrello="carrello"+session.getId()+".txt";
          session.putValue("MyShop.Carrello",carrello);
  }

  String filePath=getServletContext().getRealPath("")+"/WEB-INF/data/"+carrello;
  boolean carrelloVuoto=true;

  try {
          input=new BufferedReader(new FileReader(filePath));
          carrelloVuoto=input.readLine() == null;
          input.close();
  } catch (IOException e) { }

  String prodottiPath=getServletContext().getRealPath("")+"/MyShop/prodotti.txt";
  Vector prodotti=new Vector();
  String linea=null;

  try {
         input=new BufferedReader(new FileReader(prodottiPath));

         while((linea = input.readLine()) != null) {
                 prodotti.addElement(linea);
         }

         input.close();
  } catch (IOException e) { }

  if(formValido && !carrelloVuoto) {
          String ordiniPath=getServletContext().getRealPath("")+"/WEB-INF/data/ordini.txt";
          BufferedWriter output=new BufferedWriter(new FileWriter(ordiniPath,true));
          DateFormat formatoData=new SimpleDateFormat("dd/MM/yyyy");
          output.write("Data: "+formatoData.format(new Date())+"\n");
          output.write("Nome: "+nome+"\n");
          output.write("Cognome: "+cognome+"\n");
          output.write("Indirizzo: "+indirizzo+"\n");
          output.write("Modalita' di pagamento: "+pagamento+"\n");
          output.write("Modalita' di consegna: "+consegna+"\n");
          output.write("Prodotti ordinati:\n");
          input=new BufferedReader(new FileReader(filePath));
          int riga=0;
          double totale=0.0;
          NumberFormat fmt=NumberFormat.getInstance(Locale.ITALIAN);
          fmt.setMinimumFractionDigits(2);
          fmt.setMaximumFractionDigits(2);

          while((linea = input.readLine()) != null) {
             riga++;
             String[] celle = linea.split("#");
             Enumeration e=prodotti.elements();
                    
             while(e.hasMoreElements()) {
                String p=(String)e.nextElement();

                if(p.indexOf(celle[0]+"#")==0) {
                  String[] campi=p.split("#");
                  double prezzo=Float.parseFloat(campi[3].replace(',','.'))*Integer.parseInt(celle[1]);
                  totale+=prezzo;
                  output.write("ID: "+campi[0]+" - "+campi[1]+", prezzo unitario: "+fmt.format(Float.parseFloat(campi[3].replace(',','.')))+" Euro, quantita': "+celle[1]+"\n");
                  break;
                }

             }

          }

          output.write("Contributo fisso spese di spedizione: "+fmt.format(new Double(contributoSpeseSpedizione))+"\n");
          output.write("Totale: "+fmt.format(new Double(totale+contributoSpeseSpedizione))+" Euro\n\n\n\n");
          input.close();
          output.close();
          output=new BufferedWriter(new FileWriter(filePath));
          output.close();
  }
  else {

        if(carrelloVuoto)
                response.sendRedirect("ordina.jsp");

  }
%>

<html>
<%@ include file="heading.jsp" %>
<body>
<table width="100%" border="0">
  <tr>
    <td colspan="2" class="blubg">
      <%@ include file="banner.jsp" %>
    </td>
  </tr>
  <tr>
    <td width="10%" class="blubg" valign="top">
      <%@ include file="menu.jsp" %>
    </td>
    <td align="center" width="90%">
      <%
        if(formValido) {
      %>
          <div class="intestazione">&nbsp;</div>
          <div class="intestazione">Grazie!<br><br>Abbiamo ricevuto il tuo ordine che verr&agrave; evaso al pi&ugrave; presto.</div>
          <div class="intestazione">&nbsp;</div>
      <%
        }
        else {
      %>
          <div class="errore">&nbsp;</div>
          <div class="errore">Per inviare un ordine, devi compilare tutti i campi del form.<br><br><a href="javascript:window.history.go(-1)">Riprova.</a></div>
          <div class="errore">&nbsp;</div>
      <%
        }
      %>
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <%@ include file="footer.jsp" %>
    </td>
  </tr>
</table>
</body>

</html>